﻿#include "LiquidCrystal.h"
#include "lcd_shield.h"

//  original code from Paul Coiffier (coiffier.paul@gmail.com)
//https://github.com/paulcoiffier/mblock_lcd_shield_extension

LiquidCrystal lcd_screen(8, 9, 4, 5, 6, 7); 

const int numRows = 2;
const int numCols = 16;

LcdShieldClass::LcdShieldClass(){
   // set up the LCD's number of columns and rows:
 lcd_screen.begin(16, 2);
lcd_screen.clear();

}


void LcdShieldClass::show_text (String text)
{
	   lcd_screen.begin(16, 2);  // include this init it is necesary  
lcd_screen.clear();
	String line_one = "";
	String line_two = "";

	int taille = text.length();

	// Concat string pourl ligne 1
	for(int i = 0; i <= 16; i++) {
		if(text[i] != NULL){
		  line_one = line_one + text[i];
		}
	}

	// Concat string pourl ligne 2
	for(int i = 16; i <= 32; i++) {
		if(text[i] != NULL){
		  line_two = line_two + text[i];
		}
	}

	// Ecriture ligne 1
	lcd_screen.setCursor(0,0);
	lcd_screen.print(line_one);

	// Ecriture ligne 2
	if(line_two != NULL){
		lcd_screen.setCursor(0, 1);
		lcd_screen.print(line_two);
	}
}


void LcdShieldClass::show_text_first_row (String text)
{
	String line_one = "                ";
	
	// map characters
	for(int i = 0; i < 16; i++) {	
		line_one[i] = text[i];
	}
	
	line_one[16] = NULL;

	// write line 1
	lcd_screen.setCursor(0,0);
	lcd_screen.print(line_one);	
}


void LcdShieldClass::show_text_second_row (String text)
{
	String line_one = "                ";
	
	// map characters
	for(int i = 0; i < 16; i++) {	
		line_one[i] = text[i];
	}
	
	line_one[16] = NULL;

	// write line 2

	lcd_screen.setCursor(0,1);
	lcd_screen.print(line_one);	
}
